Package x2go :: Module mimeboxactions :: Class X2GoMIMEboxAction

[frames] | no frames]

# Class X2GoMIMEboxAction

source code

    object --+
             |
            X2GoMIMEboxAction

Known Subclasses:
  - X2GoMIMEboxActionOPEN
  - , X2GoMIMEboxActionOPENWITH
  - , X2GoMIMEboxActionSAVEAS

Instance Methods

__init__(self, client_instance=None, logger=None, loglevel=56) This is a meta class and has no functionality as such. | source code

do_process(self, mimebox_file, mimebox_dir) Wrapper method for the actual processing of MIME box actions. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __name__ = ``'``NAME``'``
| __description__ = ``'``DESCRIPTION``'``

Properties
| name Return the X2Go MIME box action's name.
| description Return the X2Go MIME box action's description text.
Inherited from `object`: `__class__`

Method Details

### __init__(self, client_instance=None, logger=None, loglevel=56)
(Constructor)

source code

This is a meta class and has no functionality as such. It is used as parent class by »real« X2Go MIME box actions.

Parameters:
  - `client_instance` (`obj`) - the underlying X2GoClient instance
  - `logger` (`obj`) - you can pass an X2GoLogger object to the X2GoMIMEboxAction constructor
  - `loglevel` (`int`) - if no X2GoLogger object has been supplied a new one will be constructed with the given loglevel
Overrides: object.__init__

### do_process(self, mimebox_file, mimebox_dir)

source code

Wrapper method for the actual processing of MIME box actions.

Parameters:
  - `mimebox_file` (`str`) - file name as placed in to the X2Go MIME box directory
  - `mimebox_dir` (`str`) - location of the X2Go session's MIME box directory

Property Details

### name

Return the X2Go MIME box action's name.

Get Method:
  unreachable.name(self) - Return the X2Go MIME box action's name.

### description

Return the X2Go MIME box action's description text.

Get Method:
  unreachable.description(self) - Return the X2Go MIME box action's description text.